Vionlabs Video-Text Retrieval API
The Video-Text Retrieval API offers semantic search capabilities for video assets.
Get video embeddings status and data
Get text-retrieval embedding status and data for a given video item.
In: header
Path Parameters
Customer's identifier for a catalog item
Query Parameters
Version of the model to use
Response Body
curl -X GET "https://loading/results/semantic/v2/video-embedding/string?version=string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie",
"data": {
"inventory_id": "string",
"type": "movie",
"vionlabs_id": "string",
"version_id": "string",
"embedding": [
0.11,
0.2,
"... (256 floats total)",
-0.11,
0.99
]
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get video embeddings result status
Get text-retrieval embedding status for a given video item.
In: header
Path Parameters
Customer's identifier for a catalog item
Query Parameters
Version of the model to use
Response Body
curl -X GET "https://loading/results/semantic/v2/status/string?version=string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get paginated list of items with the video embeddings statuses and data ordered by creation/update timestamp
Get text-retrieval video embedding statuses and data for all items in the catalog.
In: header
Query Parameters
Specifies start of time window (ISO 8601). If not specified then all results will be returned
Specifies end of time window (ISO 8601). If not specified then utcnow() value will be used.It is recommended to fix this argument while looping across pages to establish a fixed time window
Specifies a positional number of page with results
00 <= valueSpecifies a max number of results per page
5001 <= valueInclude episodes
falseProduct version code
Response Body
curl -X GET "https://loading/results/semantic/v2/video-embedding?from_utcdatetime=2024-03-06T20%3A00%3A00&to_utcdatetime=2024-03-07T20%3A00%3A00&page_num=0&page_size=500&include_episodes=false&version=string"{
"page_num": 0,
"page_size": 0,
"total_count": 0,
"data": []
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}